- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KShowMailDock Class Reference

`#include <kshowmaildock.h>`

List of all members.

## Signals
void | sigActivated (int)
void | sigHighlighted (int)
## Public Member Functions
| KShowMailDock (TQWidget *, TDEAction *actionRefresh)
| ~KShowMailDock ()
void | drawText (const TQString str, const TQColor &color)
void | drawNumber (int n, const TQColor &color)
void | clear ()
## Private Attributes
TQPixmap | m_background

## Detailed Description

Author:
  Eggert Ehmke

## Constructor & Destructor Documentation

KShowMailDock::KShowMailDock | ( | TQWidget * | ,
|  | TDEAction * | actionRefresh |
| ) |  |  |

KShowMailDock::~KShowMailDock | ( |  | ) | `[inline]`

## Member Function Documentation

void KShowMailDock::drawText | ( | const TQString | str,
|  | const TQColor & | color |
| ) |  |  |

void KShowMailDock::drawNumber | ( | int | n,
|  | const TQColor & | color |
| ) |  |  |

void KShowMailDock::clear | ( |  | ) |

void KShowMailDock::sigActivated | ( | int |  | ) | `[signal]`

void KShowMailDock::sigHighlighted | ( | int |  | ) | `[signal]`

## Member Data Documentation

TQPixmap KShowMailDock::m_background`[private]`

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmaildock.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmaildock.cpp